<!-- Popup para editar catálogo -->
<form (ngSubmit)="onSubmit()" [formGroup]="catalogEditForm">
    <div mat-dialog-content>
      <mat-form-field class="full-content">
        <input value="{{this.data['data']['title']}}" matInput placeholder="Título" type="text" formControlName="title" #title required [errorStateMatcher]="matcher">
        <mat-error *ngIf="catalogEditForm.get('title').invalid && catalogEditForm.get('title').errors.required && catalogEditForm.get('title').dirty">
            Ingrese un título
        </mat-error>
        <mat-error *ngIf="catalogEditForm.get('title').invalid && catalogEditForm.get('title').errors.minlength && catalogEditForm.get('title').dirty">
            Título debe tener mínimo 4 caracteres
        </mat-error>
      </mat-form-field>
      <mat-form-field class="full-content">
        <mat-select formControlName="feria" #feria required [errorStateMatcher]="matcher" [(value)]="selected">
          <mat-option *ngFor="let feria of ferias" [value]="feria.value">
            {{feria.viewValue}}
          </mat-option>
        </mat-select>
        <mat-error *ngIf="catalogEditForm.get('feria').invalid && catalogEditForm.get('feria').errors.required && catalogEditForm.get('feria').dirty">
          Seleccione una Feria
        </mat-error>
      </mat-form-field>
    </div>
    <div mat-dialog-actions align="center">
      <button mat-button (click)="onNoClick()">Cerrar</button>
      <button mat-raised-button color="warn" type="submit" cdkFocusInitial>Guardar</button>
    </div>
  </form>
